## com.lowagie.text.pdf.interfaces
Interface PdfXConformance

All Known Implementing Classes:
  FdfWriter.Wrt, PdfCopy, PdfCopyFieldsImp, PdfCopyFormsImp, PdfSmartCopy, PdfStamperImp, PdfWriter, PdfXConformanceImp

    public interface PdfXConformance

Method Summary
`int` `getPDFXConformance()` Getter for the PDF/X Conformance value.
`boolean` `isPdfX()` Checks if the PDF/X Conformance is necessary.
`void` `setPDFXConformance(int pdfxConformance)` Sets the PDF/X conformance level.

Method Detail

### setPDFXConformance

    void setPDFXConformance(int pdfxConformance)

  Sets the PDF/X conformance level. Allowed values are PDFX1A2001, PDFX32002, PDFA1A and PDFA1B. It must be called before opening the document.

  Parameters:
    `pdfxConformance` - the conformance level

### getPDFXConformance

    int getPDFXConformance()

  Getter for the PDF/X Conformance value.

  Returns:
    the pdfxConformance

### isPdfX

    boolean isPdfX()

  Checks if the PDF/X Conformance is necessary.

  Returns:
    true if the PDF has to be in conformance with any of the PDF/X specifications

Hosted by Hostbasket